name: multiSelectInput
type: object
meta:
    label:
        de: Mehrfachauswahl Input
        en: Multi Select Input
    dependsOn:
        eval: $parent?.inputWidgets?.includes('multiSelect')
subFields:
    - name: standardInputProperties
      type: object
      meta:
          widget: containerLessObject
      subFields: !include standardInputProperties.yml

    - name: options
      type: object[]
      meta:
          label: 
            de: Mehrfachauswahl Optionen
            en: Multi Select Options
          direction: row
          widget: containerLessObjectArray
      subFields:
          - name: name
            type: string
            meta:
                label:
                    de: Name
                    en: Name

    - name: props
      type: object
      meta:
          label: 
            de: Mehrfachauswahl Eigenschaften
            en: Multi Select Properties
      subFields:
          - name: additionalAddableValues
            type: boolean
            meta:
                label: 
                    de: Zusätzliche hinzufügbare Werte
                    en: Additional addable values
                containerProps:
                    layout:
                        size:
                            default: "col-6"
                            small: "col-12"
                            large: "col-6"
